Check the coordinates (base point) of all files in the folder

Good afternoon

I want coordinates of base points in files, there are a lot of files, opening all the files takes a lot of time.
That’s why I asked myself the question of automation.
Found an article.
The issue is resolved through a script (pictured)

I copied the code, but somehow it doesn’t work
I’m asking for advice
How can this decision be automated?

"
import clr
clr.AddReference(‘ProtoGeometry’)
import Autodesk.DesignSeript as AD
from Autodesk.DesignScript.Geometry import *
clr.AddReference(‘RevitAPI’)
from Autodesk.Revit.DB import*
clr.AddReference(‘RevitServices’)
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
#The inputs to this node will be stored as a list in the IN variables.
docs = IN[O]
def po(obj) :
X = BuiltInParameten. BASEPOTNT_EASTWEST_PARAM
Y = BuiltInParameter. BASEPOINT_NORTHSOUTH_PARAM
Z = BuiltInParameter. BASEPOTNT_ELEVATION_PARAM
pointX = obj.get_Parameter(X).AsDouble()
pointY = obj.get_Parameter(Y).AsDouble()
pointZ = obj.get_Parameter(Z).AsDouble()
return AD.Geometry.Point.ByCoordinates(pointX, pointY, pointZ)
result =
for doc in docs:
TransactionManager.Instance.EnsureInTransaction(doc)
try:
pbp = FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_Project)
sbp = FilteredElenentCollector(doc).OfCategory(BuiltInCategory.OST_Shared)
result.append (doc.Title)
result.append (doc.PathNane)
result.append (po(pbp[0]))
result.append (po(sbp[0]))
except :
result = False
TransactionManager.Instance.ForceCloseTransaction()
#Assign your output to the OUT variable.
OUT = result, docs
";

What is the warning on the Python Script From String node?

image

use this node from Brimohareb_XXXX pak.